fusialDocs

List webhook endpoints

GET
/webhook-endpoints
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhook-endpoints"
{
  "endpoints": [
    {
      "id": "string",
      "url": "string",
      "description": "string",
      "events": [
        "string"
      ],
      "enabled": true,
      "consecutiveFailures": 0,
      "disabledAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}